<div class='card' *ngIf='product'>
    <div class='card-header'>
        {{pageTitle + ': ' + product.productName}}
    </div>

    <div class='card-body'>
        <div class='row'>
            <div class='col-md-8'>
                <div class='row'>
                    <div class='col-md-4'>Name:</div>
                    <div class='col-md-8'>{{product.productName}}</div>
                </div>
                <div class='row'>
                    <div class='col-md-4'>Code:</div>
                    <div class='col-md-8'>{{product.productCode}}</div>
                </div>
                <div class='row'>
                    <div class='col-md-4'>Description:</div>
                    <div class='col-md-8'>{{product.description}}</div>
                </div>
                <div class='row'>
                    <div class='col-md-4'>Availability:</div>
                    <div class='col-md-8'>{{product.releaseDate}}</div>
                </div>
                <div class='row'>
                    <div class='col-md-4'>Price:</div>
                    <div class='col-md-8'>{{product.price | currency:'USD':'symbol':'2.2-2'}}</div>
                </div>
                <div class='row'>
                    <div class='col-md-4'>5 Star Rating:</div>
                    <div class='col-md-8'>
                        <app-start [rating]="product.starRating"></app-start>
                    </div>
                </div>
            </div>

            <div class='col-md-4'>
                <img [style.visibility]="showImage ? 'unset': 'hidden'" [src]="product.imageUrl" [title]="product.productName">
            </div>
        </div>
    </div>

    <div class='card-footer'>
        <button class='btn btn-outline-secondary' [routerLink]="['/products']" queryParamsHandling="preserve">
            <i class='fa fa-chevron-left'></i> Back
        </button>
    </div>
</div>
